import numpy as np
import scipy.stats

def compute_prob(x, mu, sigma):
    if x < 0:
        return 0
    prob = scipy.stats.norm.pdf(x, loc=mu, scale=sigma) / (
            1 - scipy.stats.norm.cdf(0, loc=mu, scale=sigma))
    print(f'prob: {prob}')
    print(f'Compare with: {scipy.stats.norm.pdf(x, loc=mu, scale=sigma)}')


compute_prob(x=4, mu=2.4, sigma=6)
compute_prob(x=1, mu=-1, sigma=3)
